Bug 7807 - XFCom_Rage128 server does not start on 6.1, but works fine in 6.0
XFCom_Rage128 server does not start on 6.1, but works fine in 6.0
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
6.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
http://www.suse.de/en/support/xsuse/#...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-12-14 16:52 EST by Dan Browning
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-01-24 16:46:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Browning 1999-12-14 16:52:05 EST
Redhat 6.0 was able to install the Suse XFCom_Rage128, without a problem
and worked great for my ATI Expert 128 card (16mb).  But under 6.1, when I
follow the install instructions (as listed below), XF86Setup cannot get
the server started.  After displaying the "starting server" screen, some
errors go to STDERR and STDOUT saying:

Cannot Connect::Errno 11 (Server Unavailable)

It does this over and over until you SIGINT the XF86Setup.  I have tried
the XFCom_Rage128 server with Mandrake 6.1, and it works fine (since
mdk6.1 is based off rh6.0).  Maybe something has changed in 6.1 that it
can't handle the XFCom server.

Thank you for paying attention to this matter.

Here is a copy of the installations (from the listed SUSE URL):

Installation

   On a SuSE Linux system it is straight forward to install these
   servers. All you need to do is
rpm -e xsvga
rpm -U [xfcom-packet].rpm
ln -s /usr/X11R6/bin/[xfcom-server] /usr/X11R6/bin/XF86_SVGA

   which means in case of the XFCom_Rage128 server
rpm -e xsvga
rpm -U xrage.rpm
ln -s /usr/X11R6/bin/XFCom_Rage128 /usr/X11R6/bin/XF86_SVGA

   Now start SaX and select GENERIC SERVER SELECTION model SVGA. This is
   all that is needed to get the server installed and configured.

   If you cannot use SaX to configure this server, we recommend that you
   use the current XF86Setup program as provided by SuSE. This has been
   extended to handle XFCom servers as well.

   If you are using an olde, glibc-2.0 based Linux system other than
   SuSE, you may run into a slight incompatibility that causes the
   program to fail with the error message undefined symbol:
   __register_frame_info

   This problem can be solved by installing the regframe package. Now
   edit (as root) the file /etc/ld.so.preload (or create it in case it
   does not exist). The first line contains a (space separated) list of
   libraries to pre-load before program execution. Add
   /lib/libregframe.so to that list (or write /lib/libregframe.so in the
   first line in case you are creating this file).
Comment 1 Preston Brown 2000-01-24 16:46:59 EST
Rage 128 support is included in XFree86 3.3.6, which will be available with the
next release of Red Hat Linux.

Note You need to log in before you can comment on or make changes to this bug.